metview (5.26.1-1) unstable; urgency=medium

  * New upstream release
  * Add perl:Depends to metview
	
 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Oct 2025 10:25:53 +0100

metview (5.25.1-2) unstable; urgency=medium

  * Push to unstable/forky

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Aug 2025 11:45:41 +0100

metview (5.25.1-1) experimental; urgency=medium

  * New upstream release
  * gcc-15.patch: prototypes needed to fix FTBFS. Closes: #1097387

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Jul 2025 15:26:32 +0100

metview (5.25.0-2) experimental; urgency=medium

  * Build against fdb >= 5.16.1, eckit 1.29.3; Closes: #1104365

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 May 2025 14:22:15 +0100

metview (5.25.0-1) unstable; urgency=medium

  * Standards-Version: 4.7.2
  * New upstream release
  * Remove old FSF address from d/copyright
  * eckit-resource.patch: fix FTBFS due to changed headers

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Apr 2025 10:18:36 +0100

metview (5.23.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Nov 2024 06:30:25 +0000

metview (5.23.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Oct 2024 09:05:56 +0100

metview (5.22.0-2) unstable; urgency=medium

  * Patch g++14-changes.patch to fix FTBFS with g++14. Closes: #1075265
  * Rebuild against updated atlas. Closes: #1073325 
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Jul 2024 13:51:14 +0100

metview (5.22.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1069355

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Apr 2024 06:27:11 +0100

metview (5.21.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Mar 2024 08:57:29 +0000

metview (5.21.1-1) unstable; urgency=medium

  * New upstream release
  * Change B-D on fdb-dev to >= 5.11.25
  * Explicitly declare "architecture-is-64-bit". Closes: #1059011
  * Patch to move mars-client to c++-17 standard; needed to compile
    with external eckit
  * Move from obsolete pkg-config to pkgconf

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Feb 2024 11:54:30 +0000

metview (5.20.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unused B-D on libproj-dev, libnetcdf-c++4-dev. Closes: #1050773
  * Enable ODB
  * Drop obsolete hardware-specific depends on odc; it only builds 
    64-bit archs now

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Oct 2023 12:18:44 +0100

metview (5.19.2-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jul 2023 09:28:25 +0100

metview (5.19.1-3) unstable; urgency=medium

  * Move from libnercdf-legacy-cxx-dev. Closes: #1038596

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jun 2023 19:57:51 +0100

metview (5.19.1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:28:05 +0100

metview (5.19.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 May 2023 20:29:18 +0100

metview (5.19.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * B-D on fdb >= 5.11.7-2 for latest rebuild against eckit, etc

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Apr 2023 08:26:43 +0100

metview (5.18.0-1) experimental; urgency=medium

  * New upstream release
  * Change B-D libncurses5-dev -> libncurses-dev
  * Update d/copyright removing obsolete files
  * Remove obsolete ecbuild.patch
  * Set *.mv script fragments non-exec

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 11:39:05 +0000

metview (5.17.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Dec 2022 10:13:39 +0000

metview (5.17.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Nov 2022 08:36:11 +0000

metview (5.17.0-1) unstable; urgency=medium

  * New upstream release
  * Switch from Qt5 -> Qt6:
    - drop B-D on  libqt5webkit5-dev, qtbase5-dev, libqt5xmlpatterns5-dev
    - Add B-D on  qt6-base-dev, libqt6core5compat6-dev, libqt6svg6-dev
    - Drop QT_SELECT from debian/rules
    - B-D on libmagics++-dev (>= 4.12.1-2) for Qt6 support
  * Build-Dep on libvulkan-dev, libxkbcomm-dev
  * Update homepage in d/control
  * Enable FDB5  support
  * Use c++17 standards
  * Add -I /usr/include/eigen3 ; workaround; some fix needed for atlas
  * Fix script paths that broke startup

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Sep 2022 06:26:39 +0100

metview (5.16.0-2) unstable; urgency=medium

  * FIx FTBFS with g++ 12 (ctime include). Closes: #1016239
  * Standards-Verersion: 4.6.1 no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jul 2022 10:34:09 +0100

metview (5.16.0-1) unstable; urgency=medium

  * New upstream release
  * Build against libatlas-ecmef-dev >= 0.29.0-2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 May 2022 08:21:30 +0100

metview (5.15.2-1) unstable; urgency=medium

  * New upstream release
    - patches rebased

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Apr 2022 07:01:38 +0100

metview (5.15.1-1) unstable; urgency=medium

  * New upstream release
  * Drop merged syserrlist.patch
  * Merge use-external-{atlas,eckit}.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2022 18:26:15 +0000

metview (5.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Jan 2022 12:23:21 +0000

metview (5.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump magics+ dependencies to >= 4.10.0
  * Disable ODB, we use ODC now
  * Add new masks to data tarball
  * metview.png no longer shipped upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Dec 2021 14:20:47 +0000

metview (5.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Sep 2021 08:09:18 +0100

metview (5.13.0-1) unstable; urgency=medium

  * New upstream release
  * Standard-Version: 4.6.0
  * Build-dep on libtirpc-dev for RPC support
  * Enable RPC for mars-client and metview
  * Set METVIEW_DIR_SHARE in patch fix-scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Aug 2021 13:00:28 +0100

metview (5.12.1-2) unstable; urgency=medium

  * Push to unstable
  * Build-depend on libemos-dev, libemos-bin

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Aug 2021 10:14:43 +0100

metview (5.12.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Jun 2021 10:56:12 +0100

metview (5.12.0-2) experimental; urgency=medium

  * Now build on64-bit only; upstream drops 32-bit support for atlas (needed)
  * Remove unnecessary patches:
    - fpic.patch
    - mir-32bit.patch
    - mv_compress.patch'
  * Drop EMOS lib now mir/atlas used fully

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Jun 2021 16:48:28 +0100

metview (5.12.0-1) experimental; urgency=medium

  * New upstream release
  * Now need eccodes >= 2.22.0 to build

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 May 2021 18:49:48 +0100

metview (5.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 May 2021 10:11:30 +0100

metview (5.11.0-1) unstable; urgency=medium

  * New upstream release
  * ecbcuild.patch: Fix for FTBFS when FPIC is empty.
  * Ship Mir Masks in data file; install
  * Enable build tools

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Mar 2021 11:14:25 +0100

metview (5.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 13:28:20 +0000

metview (5.10.1-3) unstable; urgency=medium

  * Ensure fPIC applied correctly on fPIC in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Nov 2020 10:22:18 +0000

metview (5.10.1-2) unstable; urgency=medium

  * Disable ODB, enable 32bit checks on 32-bit hosts (dep issue)
  * Build-depend on libmetkit-utils

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Nov 2020 13:38:07 +0000

metview (5.10.1-1) unstable; urgency=medium

  * New upstream release
  * Add -fPIC to CXX flags

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Nov 2020 14:44:33 +0000

metview (5.10.0-4) unstable; urgency=medium

  * Drop FDB dependencies until ODB transition is safely over
  * Remove unused build flags

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Nov 2020 20:23:24 +0000

metview (5.10.0-3) unstable; urgency=medium

  * Use ODC to replace ODB-API, on 64-bit archs for the moment
  * Update libmagics++-dev dependency to avoid odb-api
  * Update mir-32bit.patch for FTBFS on 32-bit systems
  * Remove obsolete patches:
    - gcc10.patch
    - soversion.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Nov 2020 13:13:12 +0000

metview (5.10.0-2) unstable; urgency=medium

  * New upstream release
  * Update patches
    - gcc10.patch included upstream
  * Drop ODB support (deprecated and not working)
  * Add B-D on libfckit-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Oct 2020 07:17:15 +0100

metview (5.9.1-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper level 13
  * Switch from autogenerated dh files to using subst. vars
  * Add missing /moved files to d/not-installed

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Jul 2020 12:17:05 +0100

metview (5.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Jun 2020 16:49:21 +0100

metview (5.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 May 2020 14:32:54 +0100

metview (5.8.2-3) unstable; urgency=medium

  * Use ecbuild as debhelper build system (cmake wrapper)
  * Another Fix for 32-bit FTBFS issue on mir

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Apr 2020 08:58:51 +0100

metview (5.8.2-2) unstable; urgency=medium

  * Fix for FTBFS with g++ 10. Closes: #957534
  * Build-dep on libeckit-dev >= 1.10.1~
  * Enable PNG, MIR_TOOLS, PPROC_MIR, MPI
  * Don't try to install macosx resource files
  * Build with libjemalloc-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Apr 2020 14:32:35 +0100

metview (5.8.2-1) unstable; urgency=medium

  * New upstream release. Closes: #955806
  * Drop usigned-32-bit-long patch, now included in atlas lib
  * Drop older unused patches:
    - disable-mir.patch
    - rename-atlas.patch
    - size_t-fixes.patch
  * Need latest eckit, >= 1.9.0-1
  * Ensure metview scripts create userdir correctly. Closes: #955502

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Apr 2020 17:15:39 +0100

metview (5.8.1-2) unstable; urgency=medium

  * Fix path setting in metview script. Closes: #954139.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Mar 2020 16:25:36 +0000

metview (5.8.1-1) unstable; urgency=medium

  * New upstream release
  * B-D on libatlas-emcwf-utils
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Mar 2020 08:44:18 +0000

metview (5.7.5-1) unstable; urgency=medium

  * New upstream release
  * Drop build-deps on  libxxhash-dev, libsnappy-dev, liblz4-dev, libbz2-dev.
    These are now subdeps of libeckit-dev.
  * Build-depend on libeckit-dev and libatlas-ecmwf-dev
  * use-external-atlas.patch to use above lib
  * No longer ship atlas libs or headers
  * Standards-Version: 4.4.1.0
  * d/rules: Drop gzip of example files no longer shipped

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jan 2020 12:20:01 +0000

metview (5.7.4-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libpng-dev, clang-tidy

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Dec 2019 15:01:49 +0000

metview (5.7.3-1) unstable; urgency=medium

  * New upstream release
  * More work on mir-32bit.patch (use size_t instead of prec_t due to
    lack of int base class in eckit SimpleOption)

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Nov 2019 12:49:54 +0000

metview (5.7.2.1-2) unstable; urgency=medium

  * Fix for FTBFS on 32-bit systems - mir-32bit.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Nov 2019 16:18:57 +0000

metview (5.7.2.1-1) unstable; urgency=medium

  * New upstream release
  * Add missing build-depends: libxxhash-dev, libsnappy-dev, liblz4-dev,
      libbz2-dev. Closes: #945096
  * Drop ACCEPT_USE_OF_DEPRECATED_PROJ_API_H no longer needed
  * Build and include libmir and components

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Nov 2019 15:00:45 +0000

metview (5.7.0-1) unstable; urgency=medium

  * New upstream release
  * Add d/gbp.conf
  * New python3-dev-all to build

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Oct 2019 09:31:19 +0100

metview (5.6.1-5) unstable; urgency=medium

  * Ensure DEB_HOST_ARCH is set in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Sep 2019 10:23:10 +0100

metview (5.6.1-4) unstable; urgency=medium

  * Fix 32-bit support with changes in atlas. Closes: #939984

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Sep 2019 10:03:54 +0100

metview (5.6.1-3) unstable; urgency=medium

  * unsigned-long-32bit.patch to drop ulong usage on 32-bit systems
    until eckit fixed. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Aug 2019 14:20:22 +0100

metview (5.6.1-2) unstable; urgency=medium

  * Fix path to /usr/lib/*/metview in autogenerated scripts.
  * Rename libatlas to libatlas_ecmwf. Closes: #935575
  * Enable ENABLE_EXPOSE_SUBPACKAGES
  * Ensure external eckit is used. Closes: #935089
  * Disable mir, as it needs later eckit than provided in odb-api.
  * size_t.patch needed for compilation on 32-bit systems§

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Aug 2019 16:49:03 +0100

metview (5.6.1-1) unstable; urgency=medium

  * New upstream release
  * fixes from Gianfranco Costamagna: Closes: #934064, #934159
  * Use debhelper-compat (=12)
  * Update hack in d/rules to read fortran mod dir
  * no-zero-size-arrays.patch: fix compile error
  * Now require magics >= 4.0.3-1 to build
  * Build-depend on libncurses5-dev for eckit to build
  * Disable downloads in build ; supply -data file with source
  * Enable mir-tools
  * METVIEW_EXTRA_INCLUDES now METVIEW_EXTRA_INCLUDE_DIRS
  * -dev pkg now depends on libodb-api-dev for eckit includes, libs
  * Metview recommends: flextra, flexpart

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Aug 2019 15:52:11 +0100

metview (5.3.0-3) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Use ACCEPT_USE_OF_DEPRECATED_PROJ_API_H to build with Proj6.
    Closes: #931945
  * Now use g++14 std to compile
  * Enforce use of c++14 std when compiling in d/rules
  * Use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Jul 2019 15:30:29 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmetview0d`.
